<?php
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
@include "fusion_config.php";
include "fusion_core.php";
include "subheader.php";
include "side_left.php";

include FUSION_LANGUAGES.FUSION_LAN."guestbook.php";

if (!isset($action)) $action = "";

if ($action == "delete") {
	if (iADMIN) {
		$result = dbquery("DELETE FROM ".$fusion_prefix."guestbook WHERE guestbook_id='$guestbook_id'");
		header("Location: ".$PHP_SELF);
	}
}
if (isset($_POST['guest_submit'])) {
	if ($_POST['guest_name'] != "" && $_POST['guest_email'] != "" && $_POST['guest_message'] != "") {
		$guest_name = stripinput($_POST['guest_name']);
		$guest_email = stripinput($_POST['guest_email']);
		$guest_weburl = stripinput($_POST['guest_weburl']);
		$guest_webtitle = stripinput($_POST['guest_webtitle']);
		$guest_message = stripinput($_POST['guest_message']);
		// Check if the correct answer was given
		if ($_POST['validation'] != "" && $_POST['validation'] == $_POST['validation_answer']) {
			if ($guest_name != "" && $guest_message != "") {
				if ($action == "edit") {
					if (iADMIN) {
						$result = dbquery("UPDATE ".$fusion_prefix."guestbook SET guestbook_name='$guest_name', guestbook_email='$guest_email', guestbook_weburl='$guest_weburl', guestbook_webtitle='$guest_webtitle', guestbook_message='$guest_message' WHERE guestbook_id='$guestbook_id'");
					}
				} else {
						$result = dbquery("INSERT INTO ".$fusion_prefix."guestbook VALUES('', '$guest_name', '$guest_email', '$guest_weburl', '$guest_webtitle', '$guest_message', '".time()."', '".FUSION_IP."')");
				}
			}
		header("Location: ".$PHP_SELF);
		} else {
			$invalid = true;
			opentable($locale['400']);
			echo "<div style='text-align:center'><br />You must answer the maths question correctly for your guestbook entry to be added. This is to prevent bots from spamming the guestbook. We apologise for the inconvenience.<br /><br /></div>";
			closetable();
		}
	}
}
if ($action == "edit") {
	if (iADMIN) {
		$result = dbquery("SELECT * FROM ".$fusion_prefix."guestbook WHERE guestbook_id='$guestbook_id'");
		$data = dbarray($result);
		$guestbook_name = $data['guestbook_name'];
		$guestbook_email = $data['guestbook_email'];
		$guestbook_weburl = $data['guestbook_weburl'];
		$guestbook_webtitle = $data['guestbook_webtitle'];
		$guestbook_message = $data['guestbook_message'];
		$formaction = $PHP_SELF."?action=edit&guestbook_id=$guestbook_id";
	}
} elseif ($invalid) {
	// Reload data if validation answer was wrong
	$guestbook_name = $_POST['guest_name'];
	$guestbook_email = $_POST['guest_email'];
	$guestbook_weburl = $_POST['guest_weburl'];
	$guestbook_webtitle = $_POST['guest_webtitle'];
	$guestbook_message = $_POST['guest_message'];
	$formaction = $PHP_SELF;
} else {
	$guestbook_name = "";
	$guestbook_email = "";
	$guestbook_weburl = "";
	$guestbook_webtitle = "";
	$guestbook_message = "";
	$formaction = $PHP_SELF;
}

// Calculate random equation and answer
$var1 = rand(1,5);
$var2 = rand(1,5);
$equation = $var1 . " + " . $var2 . ":";
$validation_answer = $var1 + $var2;

opentable(LAN_400);
echo "<form name='inputform' method='post' action=$formaction>
<table align='center' cellspacing='0' cellpadding='0' class='tbl'>
<tr>
<td align='right'>".LAN_401."</td>
<td><input type='text' name='guest_name' value='$guestbook_name' class='textbox' style='width:200px'></td>
</tr>
<tr>
<td align='right'>".LAN_402."</td>
<td><input type='text' name='guest_email' value='$guestbook_email' class='textbox' style='width:200px'></td>
</tr>
<tr>
<td align='right'>".LAN_403."</td>
<td><input type='text' name='guest_weburl' value='$guestbook_weburl' class='textbox' style='width:200px'></td>
</tr>
<tr>
<td align='right'>".LAN_404."</td>
<td><input type='text' name='guest_webtitle' value='$guestbook_webtitle' class='textbox' style='width:200px'></td>
</tr>
<tr>
<td align='right' class='tbl'>".$equation."</td>
<td><input type='text' name='validation' value='$validation' class='textbox' style='width:200px'>
<input type='hidden' name='validation_answer' value='$validation_answer' class='textbox' style='width:200px'>
</td>
</tr>
<tr>
<td align='right' class='tbl'>&nbsp;</td>
<td class='tbl'><span class='small2'>* You must answer this correctly.</span></td>
</tr>
<tr>
<td align='right' valign='top'>".LAN_405."</td>
<td><textarea name='guest_message' rows='5' class='textbox' style='width:250px'>$guestbook_message</textarea><br><br>
".displaysmileys("guest_message")."
</td>
</tr>
<tr>
<td></td>
<td><input type='submit' name='guest_submit' value='".LAN_406."' class='button'>
<input type='reset' name='guest_reset' value='".LAN_407."' class='button'></td>
</tr>
</table>
</form>\n";
closetable();
tablebreak();
opentable(LAN_420);
$result = dbquery("SELECT * FROM ".$fusion_prefix."guestbook");
$rows = dbrows($result);
if (!isset($rowstart)) $rowstart = 0;
if ($rows != 0) {
	tablebreak();
	$i = 1;
	$result = dbquery("SELECT * FROM ".$fusion_prefix."guestbook ORDER BY guestbook_datestamp DESC LIMIT $rowstart,10");
	$numrows = dbrows($result);
	while ($data = dbarray($result)) {
		if ($data['guestbook_weburl']) {
			$weburl = str_replace("http://", "", $data['guestbook_weburl']);
			$web = "\n | <a href='http://$weburl' target='_blank'>";
			if ($data['guestbook_webtitle']) { 
				$web .= $data['guestbook_webtitle']."</a>\n";
			} else {
				$web .= $weburl."</a>\n";
			}
		} else {
			$web = "";
		}
		echo "<table align='center' border='0' cellpadding='0' cellspacing='1' width='80%' class='tbl-border'>
<tr>
<td class='tbl2'>
<table cellpadding='0' cellspacing='0' width='100%'>
<tr>
<td class='small'><b><a href='mailto:".$data['guestbook_email']."'>".$data['guestbook_name']."</a></b>$web</td>\n";
		if (iADMIN && $data['guestbook_ip'] != "0.0.0.0") echo "<td align='right' class='small'>IP: ".$data['guestbook_ip']."</td>\n";
		echo "</tr>
</table>
</td>
</tr>
<tr>
<td class='tbl1'>".parsesmileys(parseubb($data['guestbook_message']))."</td>
</tr>
<tr>
<td class='tbl2'>
<table cellpadding='0' cellspacing='0' width='100%'>
<tr>
<td class='small'>
".showdate("longdate", $data['guestbook_datestamp'])."</td>\n";
		if (iADMIN) {
			echo "<td align='right' class='small'><a href='".$PHP_SELF."?action=edit&guestbook_id=".$data['guestbook_id']."'>".LAN_421."</a> |
<a href='".$PHP_SELF."?action=delete&guestbook_id=".$data['guestbook_id']."' onClick='return DeleteMessage();'>".LAN_422."</a></td>\n";
		}
		echo "</tr>
</table>
</td>
</tr>
</table>\n";
		if ($i != $numrows) echo "<br>\n";
		$i++;
	}
	tablebreak();
} else {
	echo "<center><br>
".LAN_423."
<br><br></center>\n";
}
closetable();

echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,10,$rows,3,$PHP_SELF."?")."\n</div>\n";

echo "<script>
function DeleteMessage() {
	return confirm(\"".LAN_424."\");
}
</script>\n";

include "side_right.php";
include "footer.php";
?>
